Name:       ocaml-rdf
Version:    0.4
Release:    %mkrel 3
Summary:    Handling RDF graphs
License:    LGPL
Group:      Development/OCaml
URL:        http://ocaml-rdf.forge.ocamlcore.org/
Source0:    http://download.ocamlcore.org/ocaml-rdf/ocaml-rdf/%{version}/ocaml-rdf-%{version}.tar.gz
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-ocamlnet-devel
BuildRequires:  ocaml-mysql-devel
BuildRequires:  ocaml-xmlm-devel
BuildRequires:  ocaml-postgresql-devel
BuildRequires:  camlp4
Requires:       ocaml-ocamlnet
Requires:       ocaml-mysql
Requires:       ocaml-xmlm
Requires:       ocaml-postgresql

%description
OCaml-RDF is an OCaml library to manipulate RDF graphs.
 
Implemented features: 
 * Two storages available: in memory or in a MySQL database,
 * Ability to define your own storages,
 * Transactions,
 * Importing from and exporting to RDF/XML format.

%package    devel
Summary:    Development files for %{name}
Group:      Development/OCaml
Requires:   %{name} = %{version}-%{release}
Requires:   ocaml-ocamlnet-devel
Requires:   ocaml-mysql-devel
Requires:   ocaml-xmlm-devel
Requires:   ocaml-postgresql-devel

%description devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q

%build
./configure --prefix %{_prefix}
make all
make doc
mv src/ocamldoc apidoc

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/rdf

make install

%files
%doc README LICENSE
%dir %{_libdir}/ocaml/rdf
%{_libdir}/ocaml/rdf/META
%{_libdir}/ocaml/rdf/*.cmi
%{_libdir}/ocaml/rdf/*.cma

%files devel
%doc apidoc/
%doc examples/
%{_libdir}/ocaml/rdf/*.a
%{_libdir}/ocaml/rdf/*.cmxa


%changelog

* Wed Apr 03 2013 blue_prawn <blue_prawn> 0.4-3.mga3
+ Revision: 407540
- if we build the doc, then do provide it

* Tue Apr 02 2013 dmorgan <dmorgan> 0.4-2.mga3
+ Revision: 407126
- Enable doc

* Tue Apr 02 2013 blue_prawn <blue_prawn> 0.4-1.mga3
+ Revision: 407113
- disable building the docs because it fails on the BS
- updated to last version 0.4
- build requires ocaml-postgresql
- build requires camlp4
- update to last version 0.3
- imported package ocaml-rdf

